

<!doctype html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>magnitude_variation module &#8212; igscp_stats 0.0.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/bizstyle.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/bizstyle.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0" />
    <!--[if lt IE 9]>
    <script src="_static/css3-mediaqueries.js"></script>
    <![endif]-->
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">igscp_stats 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">magnitude_variation module</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="module-magnitude_variation">
<span id="magnitude-variation-module"></span><h1>magnitude_variation module<a class="headerlink" href="#module-magnitude_variation" title="Permalink to this heading">¶</a></h1>
<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.add_amplitud2station_magnitude">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">add_amplitud2station_magnitude</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.add_amplitud2station_magnitude" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.add_event_info2station_magnitude">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">add_event_info2station_magnitude</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.add_event_info2station_magnitude" title="Permalink to this definition">¶</a></dt>
<dd><p>Stores the event information into station magnitud list.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event</strong> – obspy.core.event object</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.add_modification_time">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">add_modification_time</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_xml_uncompressed</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.add_modification_time" title="Permalink to this definition">¶</a></dt>
<dd><p>Add an event modification time.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event_xml_uncompressed</strong> – event data in XML format</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>modification_time</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>UTCDateTime object</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.create_amplitude_df">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">create_amplitude_df</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.create_amplitude_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Combine dataframes of the event amplitudes and return
a combine dataframe.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event_list</strong> – event list</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>pd.concat(temp_list)</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dataframe</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.create_network_magnitude_df">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">create_network_magnitude_df</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_network_mag_list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.create_network_magnitude_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Taking a <code class="docutils literal notranslate"><span class="pre">event_network_mag_list</span></code>, it creates a dataframe
of the magnitude’s network.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event_network_mag_list</strong> – event network magnitude list</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>event_network_mag_df</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dataframe</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.create_station_magnitude_df">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">create_station_magnitude_df</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_list</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.create_station_magnitude_df" title="Permalink to this definition">¶</a></dt>
<dd><p>Taking a <code class="docutils literal notranslate"><span class="pre">event_list</span></code>, it creates a dataframe
of stations magnitude</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event_list</strong> – event list</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>station_mag_df</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>dataframe</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.create_zip_list">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">create_zip_list</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event_folder</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.create_zip_list" title="Permalink to this definition">¶</a></dt>
<dd><p>Based on a folder with events in xml.zip format,
it creates a list of paths for each xml.zip file.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event_folder</strong> – events folder path</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>file_list</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>listt</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.fdsn_network_magnitude">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">fdsn_network_magnitude</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.fdsn_network_magnitude" title="Permalink to this definition">¶</a></dt>
<dd><p>Creates a dictionary with information of an event
and stores it in the <code class="docutils literal notranslate"><span class="pre">network_magnitude</span></code> list.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event</strong> – obspy.core.event object</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.get_network_magnitude">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">get_network_magnitude</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">event</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.get_network_magnitude" title="Permalink to this definition">¶</a></dt>
<dd><p>Get the list of network magnitudes of an event.</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>event</strong> – obspy.core.event object</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>network_magnitude</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="magnitude_variation.zip2catalog">
<span class="sig-prename descclassname"><span class="pre">magnitude_variation.</span></span><span class="sig-name descname"><span class="pre">zip2catalog</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file_path</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#magnitude_variation.zip2catalog" title="Permalink to this definition">¶</a></dt>
<dd><p>Uncompress the zip file, convert the xml to a
obspy.core.event object</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters<span class="colon">:</span></dt>
<dd class="field-odd"><p><strong>file_path</strong> – contains the zip file path</p>
</dd>
<dt class="field-even">Returns<span class="colon">:</span></dt>
<dd class="field-even"><p>temp_event</p>
</dd>
<dt class="field-odd">Return type<span class="colon">:</span></dt>
<dd class="field-odd"><p>obspy.core.event object</p>
</dd>
</dl>
</dd></dl>

</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/magnitude_variation.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">igscp_stats 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">magnitude_variation module</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2022, wacero, jperez.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.1.1.
    </div>
  </body>
</html>